OS := $(shell uname -s)

# dwm version
VERSION = 6.4

# paths
PREFIX = /usr
MANPREFIX = ${PREFIX}/share/man
ifeq ($(OS),FreeBSD)
	PREFIX = /usr/local
else ifeq ($(OS),OpenBSD)
	PREFIX = /usr/local
	MANPREFIX = $(PREFIX)/man
endif

X11INC = /usr/X11R6/include
X11LIB = /usr/X11R6/lib
ifeq ($(OS),FreeBSD)
	X11INC = /usr/local/include
	X11LIB = /usr/local/lib
endif

XINERAMALIBS  = -lXinerama
XINERAMAFLAGS = -DXINERAMA

# freetype
FREETYPELIBS = -lfontconfig -lXft
FREETYPEINC = ${PREFIX}/include/freetype2
ifeq ($(OS),OpenBSD)
	FREETYPEINC = ${X11INC}/freetype2
endif

# includes and libs
INCS = -I${X11INC} -I${FREETYPEINC}
LIBS = -L${X11LIB} -lX11 ${XINERAMALIBS} ${FREETYPELIBS} -lX11-xcb -lxcb -lxcb-res -lXext -lImlib2 -lm -lXrandr
ifeq ($(OS),FreeBSD)
	LIBS += -lutil
endif

# flags
CPPFLAGS = -D_DEFAULT_SOURCE -D_BSD_SOURCE -DVERSION=\"${VERSION}\" ${XINERAMAFLAGS}

ifeq ($(OS),Linux)
	CPPFLAGS += -D_XOPEN_SOURCE=700L
else ifeq ($(OS),OpenBSD)
	CPPFLAGS += -D_POSIX_C_SOURCE=200809L
else ifneq ($(OS),FreeBSD)
	CPPFLAGS += -D_XOPEN_SOURCE=700L
endif
LDFLAGS  = ${LIBS}
CFLAGS = ${INCS}

# compiler and linker
CC = cc
